# Copyright (C) 2008-2021 by the Free Software Foundation, Inc.
#
# This file is part of GNU Mailman.
#
# GNU Mailman is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# GNU Mailman is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along with
# GNU Mailman.  If not, see <https://www.gnu.org/licenses/>.

# This is the absolute bare minimum base configuration file.  User supplied
# configurations are pushed onto this.

[paths.local]
# Directories as specified in schema.cfg, putting most stuff in
# /var/tmp/mailman

[paths.dev]
# Convenient development layout where everything is put in a directory above
# where the mailman.cfg file lives.
var_dir: $cfg_file/../..

[paths.here]
# Layout where the var directory is put in the current working directory.
var_dir: $cwd/var

[paths.fhs]
# Filesystem Hiearchy Standard 2.3
# http://www.pathname.com/fhs/pub/fhs-2.3.html
bin_dir: /sbin
var_dir: /var/lib/mailman
queue_dir: /var/spool/mailman
log_dir: /var/log/mailman
lock_dir: /var/lock/mailman
etc_dir: /etc
ext_dir: /etc/mailman.d
pid_file: /var/run/mailman/master.pid

[language.en]

[runner.archive]
class: mailman.runners.archive.ArchiveRunner

[runner.bad]
class: mailman.runners.fake.BadRunner
# The bad runner is just a placeholder for its switchboard.
start: no

[runner.bounces]
class: mailman.runners.bounce.BounceRunner
sleep_time: 2m

[runner.command]
class: mailman.runners.command.CommandRunner

[runner.in]
class: mailman.runners.incoming.IncomingRunner

[runner.lmtp]
class: mailman.runners.lmtp.LMTPRunner
path:

[runner.nntp]
class: mailman.runners.nntp.NNTPRunner

[runner.out]
class: mailman.runners.outgoing.OutgoingRunner

[runner.pipeline]
class: mailman.runners.pipeline.PipelineRunner

[runner.rest]
class: mailman.runners.rest.RESTRunner
path:

[runner.retry]
class: mailman.runners.retry.RetryRunner
sleep_time: 15m

[runner.shunt]
class: mailman.runners.fake.ShuntRunner
# The shunt runner is just a placeholder for its switchboard.
start: no

[runner.virgin]
class: mailman.runners.virgin.VirginRunner

[runner.digest]
class: mailman.runners.digest.DigestRunner
